/*
 * DIALOGS.H
 *
 * Menu identifiers, control identifiers, global variables, and function
 * prototypes for the Common Dialogs sample.
 *
 * Copyright (c)1992 Microsoft Corporation, All Right Reserved
 *
 * Kraig Brockschmidt, Software Design Engineer
 * Microsoft Systems Developer Relations
 * One Microsoft Way
 * Redmond, WA  98052
 *
 * Internet  :  kraigb@microsoft.com
 * Compuserve:  70750,2344
 * Fax       :  (206)936-7329
 */


//Resource identifiers
#define IDD_FILEOPEN                        1
#define IDD_SELECTFONTFLAGS                 2
#define IDD_ABOUT                           3

#define IDR_MENU                            1


//Stringtable
#define IDS_DEFEXT                          0
#define IDS_FILTERS                         1
#define IDS_CUSTOMFILTER                    2


//Control identifiers
#define ID_NULL                             -1
#define ID_ANSIONLY                         3
#define ID_FIXEDPITCHONLY                   4
#define ID_NOVECTORFONTS                    5
#define ID_NOSIMULATIONS                    6
#define ID_SCALABLEONLY                     7
#define ID_TTONLY                           8
#define ID_WYSIWYG                          9
#define ID_PRINTERFONTS                     10
#define ID_SCREENFONTS                      11
#define ID_BOTH                             12


//Menu commands
#define IDM_EXIT                             99

#define IDM_COLORMIN                        100
#define IDM_COLORABSOLUTEMINIMUM            100
#define IDM_COLORBASIC                      101
#define IDM_COLORFULLYOPEN                  102
#define IDM_COLORPREVENTOPEN                103
#define IDM_COLORHOOKED                     104
#define IDM_COLORCUSTOMIZEDTEMPLATE         105
#define IDM_COLORCUSTOMIZEDUSINGHANDLE      106
#define IDM_COLORMAX                        106

#define IDM_FONTSELECTFLAGS                 200
#define IDM_FONTMIN                         201
#define IDM_FONTBASIC                       201
#define IDM_FONTEFFECTS                     202
#define IDM_FONTHOOKEDHIDECOLOR             203
#define IDM_FONTMODELESS                    204
#define IDM_FONTMAX                         204

#define IDM_FILEMIN                         300
#define IDM_FILEFUNCTIONALOPEN              300
#define IDM_FILEFUNCTIONALSAVEAS            301
#define IDM_FILECUSTOMFILTER                302
#define IDM_FILEEXTRAINITIALVALUES          303
#define IDM_FILEMAX                         303

#define IDM_PRINTMIN                        400
#define IDM_PRINTPRINT                      400
#define IDM_PRINTPRINTERSETUP               401
#define IDM_PRINTMAX                        401

#define IDM_SEARCHMIN                       500
#define IDM_SEARCHFIND                      500
#define IDM_SEARCHREPLACE                   501
#define IDM_SEARCHMAX                       501

#define IDM_HELPABOUT                       600



/*
 * Typedefs
 */

//Function type of hook procedures used to avoid typecast warnings (MSC v7)
typedef UINT (CALLBACK *DLGHOOKPROC)(HWND, UINT, WPARAM, LPARAM);



/*
 * External variables
 */

//DIALOGS.C
extern HWND         hgWnd;
extern HANDLE       hgInst;
extern UINT         iMSGShareViolation;
extern UINT         iMSGFileOK;
extern UINT         iMSGHelp;
extern UINT         iMSGListboxChange;
extern UINT         iMSGColorOK;
extern UINT         iMSGSetRGB;
extern UINT         iMSGFind;


//FONT.C
extern HANDLE       hgFont;
extern COLORREF     crgFont;
extern DWORD        dwFlags;


//SEARCH.C
extern HWND         hDlgFind;
extern HWND         hDlgReplace;



/*
 * Private Messages
 */
#define USER_CHANGECOLOR    WM_USER+1



/*
 * Function prototypes
 */

//DIALOGS.C
LONG     FAR PASCAL DialogsWndProc(HWND, UINT, UINT, LONG);
BOOL     FAR PASCAL SelectFontFlagsProc(HWND, UINT, UINT, LONG);
LONG     FAR PASCAL PopupWndProc(HWND, UINT, UINT, LONG);
BOOL     FAR PASCAL AboutProc(HWND, UINT, UINT, LONG);

//COLOR.C
COLORREF     PASCAL ColorDialogs(HWND, WORD);
UINT     FAR PASCAL ColorHook(HWND, UINT, UINT, LONG);
UINT     FAR PASCAL ColorModelessHook(HWND, UINT, UINT, LONG);

//FILE.C
int      FAR PASCAL ReplaceCharWithNull(LPSTR, int);
BOOL         PASCAL FileDialogs(HWND, WORD);
UINT     FAR PASCAL FileHook(HWND, UINT, UINT, LONG);

//FONT.C
BOOL         PASCAL FontDialogs(HWND, WORD, DWORD);
UINT     FAR PASCAL FontHook(HWND, UINT, UINT, LONG);

//PRINT.C
BOOL         PASCAL PrintDialogs(HWND, WORD);

//SEARCH.C
LONG         PASCAL LSearchMessageHandler(HWND, LPFINDREPLACE);
HWND         PASCAL SearchDialogs(HWND, WORD);
